SplFileInfo::getPathInfo
SplFileInfo::getPerms
SplFileInfo
PHP Manual

# SplFileInfo::getPathname

(PHP 5 >= 5.1.2)

SplFileInfo::getPathname — Gets the path to the file

### Description

public string SplFileInfo::getPathname ( void )

Returns the path to the file.

### Parameters

This function has no parameters.

### Return Values

The path to the file.

### Examples

Example #1 SplFileInfo::getPathname() example

`<?php
$info = new SplFileInfo('/usr/bin/php');
var_dump($info->getPathname());
?>`

The above example will output something similar to:

    string(12) "/usr/bin/php"

### See Also

- SplFileInfo::getRealPath() - Gets absolute path to file

SplFileInfo::getPathInfo
SplFileInfo::getPerms
SplFileInfo
PHP Manual